Bug 1271582 - Review Request: libbytesize - A library for working with sizes in bytes
Review Request: libbytesize - A library for working with sizes in bytes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Šimon Lukašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 06:43 EDT by Vratislav Podzimek
Modified: 2015-11-12 04:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-12 04:36:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
slukasik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Vratislav Podzimek 2015-10-14 06:43:37 EDT
Spec URL: http://vpodzime.fedorapeople.org/libbytesize.spec
SRPM URL: http://vpodzime.fedorapeople.org/libbytesize-0.1-1.fc21.src.rpm
Description:
The libbytesize is a C library with GObject introspection support that
facilitates work with sizes in bytes. Be it parsing the input from users or
producing a nice human readable representation of a size in bytes this library
takes localization into account. It also provides support for sizes bigger than
MAXUINT64.

Fedora Account System Username: vpodzime

Copr repository for testing builds: https://copr.fedoraproject.org/coprs/vpodzime/libbytesize/
Comment 1 Upstream Release Monitoring 2015-10-14 09:00:11 EDT
isimluk's scratch build of libbytesize-0.1-1.fc21.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11443736
Comment 2 Šimon Lukašík 2015-10-14 15:50:53 EDT
Issues:
=======
- Please raise release number each time you update new specfile and srpm
- Your upstream URL points to https://github.com/vpodzime/libbytesize/
  I think it should point out to https://github.com/rhinstaller/libbytesize
  The latter location has more up-todate sources and the former is just an
  outdated fork
- Could not found: https://github.com/vpodzime/libbytesize/archive/libbytesize-0.1.tar.gz
  Please release upstream before I grant the fedora-review+
- No documentation included. Please put upstream's README.rst into the base
  package.
- Python sub-packages should require the base package, or does it work without 
  the lib?
- Please consider naming python sub-packages python-bytesize instead of
  python-libbytesize. I don't know the right answer here. Just think about
  this and let me know.
- Fix rpmlint issue:
  libbytesize.x86_64: W: summary-ended-with-dot C A library for working with sizes in bytes.
- Aren't here missing dependencies in python sub-packages?
  I would thing that python3-gobject and pygobject3-base should be required.
  But I may be wrong, you certainly have more gobject experience. ;-)
- Similarly, there are directories without owners, in the packages.
  Please review them and see if you can solve this somehow (my suggestion
  is to add a dependency.
    * /usr/share/gir-1.0 (-> libbytesize-devel should require GConf2-devel)
    * /usr/lib64/girepository-1.0 (-> libbytesize should require gobject-introspection)

This is complete list of issues, I have been able to identify today.
Overall good job!
Comment 3 Vratislav Podzimek 2015-10-15 05:12:50 EDT
(In reply to Šimon Lukašík from comment #2)
> Issues:
> =======
> - Please raise release number each time you update new specfile and srpm
I don't see a point in this. I'm not doing releases. I'm just getting to the first release.

> - Your upstream URL points to https://github.com/vpodzime/libbytesize/
>   I think it should point out to https://github.com/rhinstaller/libbytesize
>   The latter location has more up-todate sources and the former is just an
>   outdated fork
Oh, I forgot that by doing my own fork, GH stopped redirecting the original URL to the new one. Fixing.

> - Could not found:
> https://github.com/vpodzime/libbytesize/archive/libbytesize-0.1.tar.gz
>   Please release upstream before I grant the fedora-review+
Sure will do when other things are addressed. I want the first release to really be the first released one. I don't want to force-push the tag.

> - No documentation included. Please put upstream's README.rst into the base
>   package.
Sounds good, fixing.

> - Python sub-packages should require the base package, or does it work
> without 
>   the lib?
Good point, fixing.

> - Please consider naming python sub-packages python-bytesize instead of
>   python-libbytesize. I don't know the right answer here. Just think about
>   this and let me know.
I don't know the right answer either, but python-bytesize sounds better to me. Changing.

> - Fix rpmlint issue:
>   libbytesize.x86_64: W: summary-ended-with-dot C A library for working with
> sizes in bytes.
Alright, alright.

> - Aren't here missing dependencies in python sub-packages?
>   I would thing that python3-gobject and pygobject3-base should be required.
>   But I may be wrong, you certainly have more gobject experience. ;-)
You are right, those are needed. :)

> - Similarly, there are directories without owners, in the packages.
>   Please review them and see if you can solve this somehow (my suggestion
>   is to add a dependency.
>     * /usr/share/gir-1.0 (-> libbytesize-devel should require GConf2-devel)
Why GConf2-devel? Here's what I have no my system:
# rpm -qf /usr/share/gir-1.0
atk-devel-2.14.0-1.fc21.x86_64
libxklavier-devel-5.4-4.fc21.x86_64
gobject-introspection-devel-1.42.0-1.fc21.x86_64
libgee-devel-0.16.1-1.fc21.x86_64
gtk2-devel-2.24.28-1.fc21.x86_64
vte3-devel-0.36.3-3.fc21.x86_64
gtk3-devel-3.14.15-1.fc21.x86_64
gdk-pixbuf2-devel-2.31.6-1.fc21.x86_64

From those, I think gobject-introspection-devel makes most sense. Adding that.

>     * /usr/lib64/girepository-1.0 (-> libbytesize should require
> gobject-introspection)
Yes, adding it.

> 
> This is complete list of issues, I have been able to identify today.
> Overall good job!
Thanks! All of the above should be addressed in the current version of the spec and SRPM (same URLs).

I also changed the licence of the package (and upstream) to LGPLv2+.
Comment 4 Šimon Lukašík 2015-10-16 10:48:19 EDT
(In reply to Vratislav Podzimek from comment #3)
> I also changed the licence of the package (and upstream) to LGPLv2+.

I am not sure if this change has any meaningful impact. There is still one file in the project licensed under GPLv3 (gettext.h). And since rest of the source code is LGPLv2+ (plus sign is important here), the gettext.h forces the other files to be actually licensed under LGPLv3.

See: http://www.dwheeler.com/essays/floss-license-slide.html

Please either change the license back to LGPLv3 (in the specfile) or bundle gettext.h from other source (gnulib contains same file with LGPLv2+).
Comment 5 Šimon Lukašík 2015-10-16 11:07:04 EDT
Quote from the Packaging:Python
> [...] the subpackage containing he python2 version must provide
> python2-example. [...]

Please either rename python-bytesize to python2-bytesize or add the Provides.
Comment 6 Šimon Lukašík 2015-10-16 11:15:28 EDT
That's it. I do not see any other blocker. Please fix these two issues and release the version upstream.
Comment 7 Vratislav Podzimek 2015-10-19 06:58:15 EDT
(In reply to Šimon Lukašík from comment #6)
> That's it. I do not see any other blocker. Please fix these two issues and
> release the version upstream.

All the above should be addressed now and the release is available at:
https://github.com/rhinstaller/libbytesize/releases/tag/libbytesize-0.1

with the tarball being available too at the URL specified in the .spec file.

Thanks a lot for the review!
Comment 8 Šimon Lukašík 2015-10-19 07:23:00 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gtk-doc, /usr/share
     /gtk-doc/html
     - This is quite commonly problematic directories in Fedora. Nice to
       fix but not a review blocker.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

-- 
Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 --verbose --name libbytesize
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 Vratislav Podzimek 2015-10-19 12:23:04 EDT
New Package SCM Request
=======================
Package Name: libbytesize
Short Description: A library for working with sizes in bytes
Upstream URL: https://github.com/rhinstaller/libbytesize
Owners: vpodzime
Branches: f22 f23
InitialCC:
Comment 10 Gwyn Ciesla 2015-10-19 13:22:49 EDT
This SCM request method has been deprecated. Please see https://fedoraproject.org/wiki/PackageDB_admin_requests.
Comment 11 Fedora Update System 2015-10-21 17:22:52 EDT
libbytesize-0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a8fba25b13
Comment 12 Fedora Update System 2015-10-22 04:28:26 EDT
libbytesize-0.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-00006703e7
Comment 13 Fedora Update System 2015-10-24 08:08:39 EDT
libbytesize-0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libbytesize'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a8fba25b13
Comment 14 Fedora Update System 2015-10-26 14:29:17 EDT
libbytesize-0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libbytesize'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-00006703e7
Comment 15 Fedora Update System 2015-10-28 12:23:32 EDT
libbytesize-0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-10-31 22:30:39 EDT
libbytesize-0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.